Crashpad

Public Member Functions | List of all members
crashpad::TSimpleStringDictionary< KeySize, ValueSize, NumEntries >::Iterator Class Reference

An iterator to traverse all of the active entries in a TSimpleStringDictionary. More...

`#include "client/simple_string_dictionary.h"`

## Public Member Functions
| Iterator (const TSimpleStringDictionary &map)
const Entry * | Next ()
| Returns the next entry in the map, or `nullptr` if at the end of the collection.

## Detailed Description

### template<size_t KeySize = 256, size_t ValueSize = 256, size_t NumEntries = 64>
class crashpad::TSimpleStringDictionary< KeySize, ValueSize, NumEntries >::Iterator

An iterator to traverse all of the active entries in a TSimpleStringDictionary.

The documentation for this class was generated from the following file:

- client/simple_string_dictionary.h